{
	"name": "tiki/tiki",
	"description": "Tiki Wiki CMS Groupware",
	"license": "LGPL-2.1",
	"homepage": "https://tiki.org",
	"minimum-stability": "stable",
	"require": {
		"Sam152/Javascript-Equal-Height-Responsive-Rows": "1.0.0",
		"adodb/adodb-php": "^5.20",
		"afarkas/html5shiv": "3.7.3",
		"ahand/mobileesp": "dev-master",
		"blueimp/javascript-canvas-to-blob": "^2.2.0",
		"blueimp/javascript-load-image": "^1.14.0",
		"blueimp/jquery-file-upload": "^9.12.5",
		"bower-asset/swfobject": "^2.2",
		"candy-chat/xmpp-prebind-php": "dev-master",
		"christian-vigh-phpclasses/PdfToText": "^1.6.0",
		"ckeditor/ckeditor": "^4.6.2",
		"ckeditor/ckeditor/skins/bootstrapck": "^1",
		"ckeditor/ckeditor/skins/minimalist": "^1",
		"ckeditor/ckeditor/skins/office2013": "^1",
		"codemirror/codemirror": "5.19.0",
		"components/jquery": "^3.1.0",
		"components/jquery-migrate": "^3.0.0",
		"components/jqueryui": "^1.12",
		"components/revealjs": "^3.6",
		"cweagans/composer-patches": "^1.6",
		"css-tricks/anythingslider-themes": "^1.4.1",
		"cwspear/bootstrap-hover-dropdown": "^2.2.1",
		"drmonty/smartmenus": ">=1.1.0",
		"evert/sitemap-php": "^1.2",
		"ezyang/htmlpurifier": "^4.8.0",
		"bower-asset/fontawesome": "^5.6.0",
		"fullcalendar/fullcalendar": "^3.9",
		"haubek/bootstrap4c-chosen": "^1.0",
		"harvesthq/chosen": "^1.8",
		"hesammousavi/bootstrap-v4-rtl": "dev-master",
		"h5p/h5p-core": "~1.19.0",
		"h5p/h5p-editor": "~1.18.0",
		"itsjavi/bootstrap-colorpicker": "^2.5.1",
		"jasig/phpcas": "^1.3",
		"jcbrand/converse.js": "4.1.0",
		"jquery-form/form": "^3.51",
		"jquery/jquery-sheet": "3.1",
		"jquery/jquery-timepicker-addon": "^1.6.3",
		"jquery/jtrack": "1.0",
		"jquery/md5": "1.1",
		"jquery/minicart": "2.6.1",
		"jquery/photoswipe": "3.0.5",
		"jquery/plugins/anythingslider": "1.9.6",
		"jquery/plugins/async": "1.0",
		"jquery/plugins/colorbox": "1.6.4",
		"jquery/plugins/fitvidjs": "1.1.0",
		"jquery/plugins/galleriffic": "2.0.1",
		"jquery/plugins/infinitecarousel": "3.0.3",
		"jquery/plugins/jquery-json": "2.5.1",
		"jquery/plugins/jquery-validation": "1.13.1",
		"jquery/plugins/media": "0.98",
		"jquery/plugins/nestedsortable": "1.3.4",
		"jquery/plugins/reflection-jquery": "1.1",
		"jquery/plugins/superfish": "1.7.5",
		"jquery/plugins/tagcanvas": "2.8",
		"jquery/plugins/treetable": "3.2.0",
		"jquery/plugins/zoom": "1.7.18",
		"kaltura/api-client-library": "^12.18",
		"leafo/scssphp": "^0.7.5",
		"matthiasmullie/minify": "1.3.58",
		"mediumjs/mediumjs": "1.0.1",
		"michelf/php-smartypants": "^1.8.1",
		"mottie/tablesorter": "^2.28",
		"nagarajanchinnasamy/subtotal": "~1.9",
		"nicolaskruchten/pivottable": "^2.20.0",
		"nolimits4web/swiper": "^4.2",
		"npm-asset/chart.js": "^2.7.0",
		"npm-asset/popper.js": "^1.13.4",
		"npm-asset/prefixfree": ">=1.0.10",
		"npm-asset/sass-svg-uri": "^1.0",
		"openannotation/annotator": ">=1.2.10",
		"openid/php-openid": "2.2.2",
		"openlayers/ol3": ">=3.6.0",
		"paragonie/random_compat": "^2.0",
		"pclzip/pclzip": "^2.8",
		"pear/db": "1.7.13",
		"pear/net_socket": "^1.2",
		"pear/pear": "^1.10",
		"pear/text_wiki_mediawiki": "0.2.0",
		"pear/xml_parser": "^1.3",
		"pear/xml_rpc": "^1.5",
		"phpseclib/phpseclib": "~2.0",
		"player/flv": "1.0",
		"player/mp3": "1.0",
		"plotly/plotly.js": "~1.31",
		"rangy/rangy": "1.3.0",
		"robicch/jquery-gantt" : "dev-master",
		"rmm5t/jquery-timeago": "^1.5",
		"sabre/dav": "~3.2.0",
		"simile_timeline/simile_timeline": "2.3.0",
		"smarty/smarty": "3.1.33",
		"sorich87/bootstrap-tour": "dev-master",
		"studio-42/elfinder": "~2.1",
		"svg-edit/svg-edit": "2.8.1",
		"symfony/config": "^3.2.6",
		"symfony/console": "^3.2.6",
		"symfony/dependency-injection": "^3.2.6",
		"symfony/process": "^3.2.6",
		"symfony/yaml": "^3.2.6",
		"tijsverkoyen/css-to-inline-styles": "^2.2.0",
		"twbs/bootstrap": "~4.1.3",
		"undojs/undojs": "1",
		"vimeo/froogaloop": "1.0",
		"zendframework/zend-captcha": "^2.6",
		"zendframework/zend-config": "^3.0",
		"zendframework/zend-eventmanager": "^3.0",
		"zendframework/zend-feed": "^2.7",
		"zendframework/zend-filter": "^2.7.1",
		"zendframework/zend-http": "^2.5.4",
		"zendframework/zend-i18n": "^2.7.3",
		"zendframework/zend-ldap": "^2.8",
		"zendframework/zend-log": "^2.9",
		"zendframework/zend-mail": "^2.7.1",
		"zendframework/zend-mime": "^2.6",
		"zendframework/zend-session": "^2.7.1",
		"zendframework/zend-soap": "^2.6",
		"zendframework/zend-tag": "^2.6.1",
		"zendframework/zend-uri": "^2.5.2",
		"zendframework/zend-validator": "^2.8",
		"zendframework/zendgdata": "~2.0",
		"zendframework/zendoauth": "~2.0",
		"zendframework/zendsearch": "dev-tiki",
		"zendframework/zendservice-akismet": "~2.0",
		"zendframework/zendservice-recaptcha": "~3.0",
		"zendframework/zendservice-twitter": "~2.1",
		"gidkom/php-openfire-restapi": "dev-master",
		"montefuscolo/xmpp": "dev-master",
		"league/oauth2-server": "^7.3"
	},
	"require-dev": {
		"bafs/testify": "dev-master",
		"mikey179/vfsStream": "^1",
		"phpunit/dbunit": "^2",
		"phpunit/phpunit": "^5",
		"phpunit/phpunit-selenium": "^3",
		"squizlabs/php_codesniffer": "^3.1",
		"wimg/php-compatibility": ">=8.1"
	},
	"extra": {
		"patches-file": "../installer/composer-patches/composer-patches.json"
	},
	"config": {
		"process-timeout": 5000,
		"bin-dir": "../bin",
		"component-dir": "vendor/components",
		"platform": {
			"ext-ldap": "0",
			"ext-soap": "0"
		}
	},
	"autoload": {
		"psr-0": {
			"BOMChecker": "../lib/core/",
			"Category": "../lib/core/",
			"DeclFilter": "../lib/core/",
			"Feed": "../lib/core/",
			"H5P": "../lib/core/",
			"IDS": "../lib/core",
			"JitFilter": "../lib/core/",
			"Math": "../lib/core/",
			"Multilingual": "../lib/core/",
			"Perms": "../lib/core/",
			"Report": "../lib/core/",
			"Scheduler": "../lib/core/",
			"Search": "../lib/core/",
			"Services": "../lib/core/",
			"Table": "../lib/core/",
			"Tiki": "../lib/core/",
			"TikiDb": "../lib/core/",
			"TikiFilter": "../lib/core/",
			"Tracker": "../lib/core/",
			"Type": "../lib/core/",
			"WikiParser": "../lib/core/",
			"WikiPlugin": "../lib/core/",
			"Text": "vendor/pear/text_wiki_mediawiki/",
			"ZendSearch": "vendor/zendframework/zendsearch/library/"
		},
		"psr-4": {
			"Tiki\\": "../lib/core/",
			"Tiki\\Lib\\": "../lib/"
		},
		"classmap": [
			"../installer/",
			"../lib/core/StandardAnalyzer/",
			"../lib/language/",
			"../lib/openpgp/",
			"../lib/rating/formula/",
			"../lib/stats",
			"../lib/tikidate.php",
			"../lib/webmail",
			"vendor/adodb/adodb-php/",
			"vendor/h5p/h5p-core",
			"vendor/h5p/h5p-editor",
			"vendor/pear/xml_rpc",
			"vendor/smarty/smarty/libs/sysplugins/smarty_security.php"
		],
		"exclude-from-classmap": [
			"../lib/openpgp/OpenPGP_Zend_Mail_Transport_Smtp.php",
			"vendor/adodb/adodb-php/adodb-active-recordx.inc.php",
			"vendor/adodb/adodb-php/adodb-xmlschema03.inc.php",
			"vendor/adodb/adodb-php/drivers/adodb-ado5.inc.php",
			"vendor/adodb/adodb-php/drivers/adodb-db2ora.inc.php",
			"vendor/adodb/adodb-php/drivers/adodb-mysqlt.inc.php",
			"vendor/adodb/adodb-php/session/adodb-session2.php",
			"vendor/adodb/adodb-php/session/old/crypt.inc.php"
		]
	},
	"autoload-dev": {
		"classmap": [
			"../lib/test/"
		]
	},
	"include-path": [
		"vendor/pear/text_wiki_mediawiki/",
		"vendor/pear/xml_rpc"
	],
	"scripts": {
		"pre-install-cmd": [
		  	"Tiki\\Composer\\RestoreVendors::restore",
			"Tiki\\Composer\\CleanVendorAfterVendorBundledMigration::cleanLinks"
		],
		"post-install-cmd": [
			"Tiki\\Composer\\ThemeInstaller::setup",
			"Tiki\\Composer\\BootstrapCompiler::build",
			"Tiki\\Composer\\CleanVendors::clean",
			"Tiki\\Composer\\CleanVendorAfterVendorBundledMigration::clean"
		],
		"pre-update-cmd": [
			"Tiki\\Composer\\RestoreVendors::restore",
			"Tiki\\Composer\\ThemeInstaller::setup",
			"Tiki\\Composer\\CleanVendorAfterVendorBundledMigration::cleanLinks"
		],
		"post-update-cmd": [
			"Tiki\\Composer\\BootstrapCompiler::build",
			"Tiki\\Composer\\CleanVendors::clean",
			"Tiki\\Composer\\CleanVendorAfterVendorBundledMigration::clean"
		],
		"pre-autoload-dump": [
			"Tiki\\Composer\\Autoload::change"
		]
	},
	"repositories": [
		{
			"type": "composer",
			"url": "https://composer.tiki.org"
		},
		{
			"type": "composer",
			"url": "https://asset-packagist.org"
		}
	]
}
